

#include "Win32Keyboard.h"
#include "Win32Mouse.h"
#include "Win32Input.h"

Win32InputMsgBuffer Win32Input::inputMsgBuffer;

Win32InputMsgBuffer::Win32InputMsgBuffer() :
index	(0),
enabled (false)
{
}

Keyboard* Win32Input::createKeyboard()
{
	return new Win32Keyboard();
}

Mouse* Win32Input::createMouse()
{
	return new Win32Mouse();
}

void Win32Input::update()
{
}